> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/scopes.md).

# Scopes

Reference documentation for the Scopes item in the Solution Explorer

## Overview

Expanding the Scopes node will show a list of all existing solution scopes.\
Solution scopes are not tied to anything specific but the solution itself, with a default 'globals' scope available.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                               | Summary                    |
| ------------------------------------- | -------------------------- |
| [Create new scope](#create-new-scope) | Creates a new global scope |

## Commands Details

The details for each command available on this item via right-click context menu:

### Create new scope

Creates a new global scope. Global scopes can contain variables and methods that can be re-used across the solution. Beware how you use global scopes as it is sometimes better to encapsulate your code in form scope than exposing it to all forms.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/scopes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
